First time here? Check out the FAQ!
x

EMI 2/6 device and Windows 8 compatibility.

0 votes
asked by
edited by

I have a problem with my old EMI 2/6 device and Windows 8. I need a compatible driver for Windows 8. I use Logic 5.3 on my computer. Is version 5.53 compatible with Windows 8?

1 Answer

0 votes
answered by (132k points)

No, version 5.53 of Logic software is not compatible with Windows 8 platforms. Also, you can't download an EMI 2/6 driver for Windows 8 because there is no resource available for this purpose. The EMI 2/6 device can work only with Windows XP and below operating systems. I suggest you use Google search engine to find the EMI 2/6 drivers and install them using the Program Compatibility troubleshooter.

Your answer

Your name to display (optional):
Privacy: Your email address will only be used for sending these notifications.
Anti-spam verification:
To avoid this verification in future, please log in or register
...